Subject: PATCH: Don't kill *vc-diff* on revert.

From: "Aaron S. Hawley" <[email-masked]>
Date: Wed, 16 May 2012 15:04:23 -0400

When I hit C-x v u in a version controlled file, Emacs shows *vc-diff*
asks if you're sure then kills it.  I wish it would keep the buffer
around in case I want to undo my revert with Diff Mode.

Thanks for Emacs,
aaron

2012-05-04  Aaron S. Hawley  <[email-masked]>

        * vc/vc.el (vc-revert, vc-rollback): Just quit *vc-diff* buffer
        don't kill it when reverting or rolling back.

--- vc/vc.el	2012-04-02 19:37:30.000000000 -0400
+++ vc/vc.el	2012-05-04 13:03:18.104977200 -0400
@@ -2303,7 +2303,7 @@
 				       (if (= nfiles 1) "" "s"))))))
 	    (error "Revert canceled")))
       (when diff-buffer
-	(quit-windows-on diff-buffer t)))
+	(quit-windows-on diff-buffer)))
     (dolist (file files)
       (message "Reverting %s..." (vc-delistify files))
       (vc-revert-file file)
@@ -2349,7 +2349,7 @@
     ;; Display changes
     (unless (yes-or-no-p "Discard these revisions? ")
       (error "Rollback canceled"))
-    (quit-windows-on "*vc-diff*" t)
+    (quit-windows-on "*vc-diff*")
     ;; Do the actual reversions
     (message "Rolling back %s..." (vc-delistify files))
     (with-vc-properties